Recycle bin icon is empty when there are items in the bin

Reported by David Stansby on 2010-11-30
22
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Unity
Low
Jamal Fanaian
unity (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: unity

I currently have items in the rubbish bin, but the icon in the bottom left is that of an empty bin.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity 3.2.0-0ubuntu3
ProcVersionSignature: Ubuntu 2.6.37-7.18-generic 2.6.37-rc3
Uname: Linux 2.6.37-7-generic i686
NonfreeKernelModules: wl
Architecture: i386
CompizPlugins: [core,ccp,move,resize,place,decoration,gnomecompat,png,dbus,mousepoll,commands,vpswitch,imgjpeg,text,svg,regex,neg,workarounds,session,resizeinfo,animation,snap,wall,obs,expo,fade,ezoom,scale,scaleaddon,staticswitcher]
Date: Tue Nov 30 17:18:59 2010
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
InstallationMedia_: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
MachineType: Apple Inc. MacBook5,2
PciDisplay: 02:00.0 VGA compatible controller [0300]: nVidia Corporation C79 [GeForce 9400M G] [10de:0866] (rev b1) (prog-if 00 [VGA controller])
ProcEnviron:
 PATH=(custom, user)
 LANG=en_GB.utf8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.37-7-generic root=UUID=90398301-f65d-4cf6-9081-5193ccf88274 ro quiet splash maxcpus=1
ProcVersionSignature_: Ubuntu 2.6.37-7.18-generic 2.6.37-rc3
RelatedPackageVersions:
 xserver-xorg 1:7.5+6ubuntu3b1
 libgl1-mesa-glx 7.9+repack-1ubuntu2
 libdrm2 2.4.22-2ubuntu1
 xserver-xorg-video-intel 2:2.13.0-1ubuntu1
 xserver-xorg-video-ati 1:6.13.2-1ubuntu2
SourcePackage: unity
XorgConf: Error: [Errno 2] No such file or directory: '/etc/X11/xorg.conf'
dmi.bios.date: 04/16/09
dmi.bios.vendor: Apple Inc.
dmi.bios.version: MB52.88Z.0088.B05.0904162222
dmi.board.asset.tag: Base Board Asset Tag#
dmi.board.name: Mac-F22788AA
dmi.board.vendor: Apple Inc.
dmi.chassis.asset.tag: Asset Tag#
dmi.chassis.type: 10
dmi.chassis.vendor: Apple Inc.
dmi.chassis.version: Mac-F22788AA
dmi.modalias: dmi:bvnAppleInc.:bvrMB52.88Z.0088.B05.0904162222:bd04/16/09:svnAppleInc.:pnMacBook5,2:pvr1.0:rvnAppleInc.:rnMac-F22788AA:rvr:cvnAppleInc.:ct10:cvrMac-F22788AA:
dmi.product.name: MacBook5,2
dmi.product.version: 1.0
dmi.sys.vendor: Apple Inc.
system: distro = Ubuntu, architecture = i686, kernel = 2.6.37-7-generic

Related branches

lp:~jamalta/unity/683241-recyclebin-icon
Merged into lp:unity at revision 675
Alex Launi (community): Approve on 2010-12-07
Jason Smith: Pending requested 2010-12-07
David Stansby (dstansby) wrote :
Didier Roche (didrocks) on 2010-11-30
Changed in unity (Ubuntu):
status: New → Triaged
importance: Undecided → Low
Changed in unity:
status: New → Triaged
importance: Undecided → Low
Jorge O. Castro (jorge) on 2010-11-30
tags: added: bitesize
Jamal Fanaian (jamalta) on 2010-12-06
Changed in unity:
assignee: nobody → Jamal Fanaian (jamalta)
Didier Roche (didrocks) on 2010-12-09
Changed in unity:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.2.6-0ubuntu1

---------------
unity (3.2.6-0ubuntu1) natty; urgency=low

  [ Didier Roche ]
  * New upstream release:
   - Autohide option should be more like Intellihide (LP: #685861)
   - Add an unity binary (LP: #599716)
   - Dock icons disappearing on reopen (all programs) (LP: #687466)
   - Application with .desktop file containing "icon=/absolute/path" doesn't
     have an icon in unity panel (LP: #683444)
   - Indicators are mis-aligned (LP: #646740)
   - Navigating between indicator gives focus back to other dialogs during
     transition (LP: #637143)
   - Migration script should dump a lot of migrated items for debugging
     (LP: #687721)
   - Add desktop action support to launcher quicklists (LP: #687403)
   - Rendering of Quicklist radio-button-item still way off (LP: #684048)
   - Clicking on a launcher icon does not raise most recent window (LP: #677577)
   - Quicklist menu item testing - Part 2 (LP: #676040)
   - Panel does not behave like a menu bar (keyboard scrubbing) (LP: #686655)
   - Separated menus: no keyboard shortcuts for menus (LP: #684060)
   - No installation instructions in source (LP: #683792)
   - Unity plugin should depend on "Desktop Wall" plugin (LP: #683211)
   - Network indicator shows up on the left-hand side of the panel (LP: #680545)
   - Scrubbing menu items or indicators in panel prematurely ends (LP: #677601)
   - fix trash icon not being updated (LP: #683241)
  * Revert source 3, it's breaking daily build and hudson
  * remove the patch as well, fixed upstream
  * debian/control, debian/unity.install, debian/unity-common.install:
    - add unity-common package and move some files there
    - install the new perf bootchart there as well
  * debian/unity.install:
    - install new unity binary
  * debian/control:
    - dep on latest nux
    - recommends nux-tools
  * debian/libunity3.symbols:
    - updated to include the new symbols

  [ Sebastien Bacher ]
  * debian/source_unity.py:
    - reassign crashes due to the indicators to the right source directly
 -- Didier Roche <email address hidden> Thu, 09 Dec 2010 19:57:14 +0100

Changed in unity (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers